package ru.ulstu.extractor.assessment.model;

import ru.ulstu.extractor.rule.model.DbRule;
import ru.ulstu.extractor.ts.model.TimeSeriesType;

public class Assessment {
    private final String consequent;
    private final TimeSeriesType firstAntecedent;
    private final String firstAntecedentTendency;
    private final TimeSeriesType secondAntecedent;
    private final String secondAntecedentTendency;

    public Assessment(DbRule dbRule) {
        this.consequent = dbRule.getConsequent();
        this.firstAntecedent = dbRule.getFirstAntecedent();
        this.firstAntecedentTendency = dbRule.getFirstAntecedentValue().getAntecedentValue();
        this.secondAntecedent = dbRule.getSecondAntecedent();
        this.secondAntecedentTendency = dbRule.getSecondAntecedentValue().getAntecedentValue();
    }

    public String getConsequent() {
        return consequent;
    }

    public TimeSeriesType getFirstAntecedent() {
        return firstAntecedent;
    }

    public String getFirstAntecedentTendency() {
        return firstAntecedentTendency;
    }

    public TimeSeriesType getSecondAntecedent() {
        return secondAntecedent;
    }

    public String getSecondAntecedentTendency() {
        return secondAntecedentTendency;
    }
}
